Bug 1409847 - FutureFeature: LibreOffice Quickstart should be implemented
Summary: FutureFeature: LibreOffice Quickstart should be implemented
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 25
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 15:51 UTC by Edouard Duliège
Modified: 2017-02-20 14:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-03 21:15:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Edouard Duliège 2017-01-03 15:51:04 UTC
Description of problem:
In options/LibreOffice/Memory, the Quickstart option is not available on my Fedora 25 64b. I assume it is the same on the 32b version. It would be great to implement this as it can dramatically reduce the startup time for couple of seconds (5 to 7) to 0.5 sec.

Version-Release number of selected component (if applicable):
5.2.3.3

Comment 1 Caolan McNamara 2017-01-03 21:15:22 UTC
Its (probably) still there if you use the gtk2 backend but it's not implemented for gtk3.

Most of the apis that the quickstarter uses in gtk2 are marked deprecated in gtk2 and are now removed in gtk3, so that approach can't be simply ported to gtk3.

I think the quickstarter has hit the end of the road myself with gtk3 so with my "downstream" hat on I'll have to mark this as WONTFIX, but maybe someone else "upstream" has a better idea about how to implement quickstart under gtk3.

Comment 2 Edouard Duliège 2017-01-04 08:55:08 UTC
Dear Caolan,

Thank you very much for this precise and concise answer. So should I report a bug against gtk3 citing what you stated?

Comment 3 David Tardon 2017-02-20 13:10:18 UTC
(In reply to Edouard Duliège from comment #2)
> Thank you very much for this precise and concise answer. So should I report
> a bug against gtk3 citing what you stated?

I wouldn't bother if I were you. AFAIK the general sentiment upstream is that the quickstarter has lived out its usefulness and should be dropped.

Comment 4 Edouard Duliège 2017-02-20 14:06:49 UTC
Ok David. Thanks for your time, and enjoy your week!


Note You need to log in before you can comment on or make changes to this bug.